URL Encode

## Functions

char * | ulfius_url_decode (const char *str)
char * | ulfius_url_encode (const char *str)

## Detailed Description

URL Encode functions

## Function Documentation

## ulfius_url_decode()

char * ulfius_url_decode | ( | const char * | str | ) |

Returns a url-decoded version of str returned value must be u_free'd after use Thanks Geek Hideout! http://www.geekhideout.com/urlcode.shtml

Parameters

  str | the string to decode

Returns
  a heap-allocated string

Returns a url-decoded version of str returned value must be cleaned after use Thanks Geek Hideout! http://www.geekhideout.com/urlcode.shtml

## ulfius_url_encode()

char * ulfius_url_encode | ( | const char * | str | ) |

Returns a url-encoded version of str returned value must be u_free'd after use Thanks Geek Hideout! http://www.geekhideout.com/urlcode.shtml

Parameters

  str | the string to encode

Returns
  a heap-allocated string

Returns a url-encoded version of str returned value must be cleaned after use Thanks Geek Hideout! http://www.geekhideout.com/urlcode.shtml